Informacje

Uwierzytelnianie wymagane
Format odpowiedzi json
Metoda HTTP POST

POST tickets/:id/comment

Ostatnia modyfikacja 2026-05-18 13:56:05

Dodanie komentarza do zgłoszenia.

URL

https://your-system-name.thulium.com/api/tickets/:id/comment

Parametry

id

wymagany

Identyfikator zgłoszenia. Przykładowa wartość: 1234
comment

wymagany

Treść komentarza. Przykładowa wartość: My ticket comment.
comment_type

opcjonalny

Typ komentarza.
Domyślna wartość: HTML. Przykładowa wartość: HTML|PLAIN
user_login

wymagany

Login użytkownika. Przykładowa wartość: jkowalski

Przykładowy request

POST https://your-system-name.thulium.com/api/tickets/1234/comment
Dane {"comment":"My ticket comment.","user_login":"jkowalski"}

Przykładowy response

<!-- pusty -->

Przykładowe wywołanie


PHP
<?php
$data = '{"comment":"My ticket comment.","user_login":"jkowalski"}';

$request = curl_init('https://your-system-name.thulium.com/api/tickets/1234/comment');
curl_setopt($request, CURLOPT_HTTPHEADER, array(
    'Content-Type: application/json; charset=utf-8',
    'Content-Length: ' . mb_strlen($data)
));
curl_setopt($request, CURLOPT_USERPWD, 'api_user:api_pass');
curl_setopt($request, CURLOPT_TIMEOUT, 30);
curl_setopt($request, CURLOPT_RETURNTRANSFER, true);
curl_setopt($request, CURLOPT_CUSTOMREQUEST, 'POST');
curl_setopt($request, CURLOPT_POSTFIELDS, $data);

$response = curl_exec($request);
if ($response) {
    $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE);
    if ($httpCode == 200){
        print_r(json_decode($response));
    } else {
        echo $response;
    }
} else {
    trigger_error(curl_error($request), E_USER_WARNING);
}

curl_close($request);
JAVA
public class Example {
    public static void main(String[] args) throws Exception {
        ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true);

        ThuliumRestClient.ThuliumRestResponse response = restClient.post("https://your-system-name.thulium.com/api/tickets/1234/comment", "{\"comment\":\"My ticket comment.\",\"user_login\":\"jkowalski\"}");
        System.out.println(response);
    }
}

CURL
curl -u api_user:api_pass -k -X POST -H "Content-type: application/json" -d '{"comment":"My ticket comment.","user_login":"jkowalski"}' "https://your-system-name.thulium.com/api/tickets/1234/comment"

HTTPie
echo '{"comment":"My ticket comment.","user_login":"jkowalski"}' | http -a api_user:api_pass POST https://your-system-name.thulium.com/api/tickets/1234/comment